import express from "express"
import morgan from "morgan"

//  Routes
const cors = require('cors')
import camaraRoutes from "./routes/camara.routes"
const logger = require('./w-logger')

const app = express()

//Settings
app.set("port", 4000)

// Middlewares
app.use(morgan("dev"))
// Middleware para registrar las solicitudes
app.use((req, res, next) => {
  logger.info(`${req.method} ${req.url}`);
  next();
});

app.use(express.json())
app.use(cors())

// Routes
app.use(camaraRoutes)
export default app