import {Router} from "express"
import {methods as camaraController} from "./../controllers/camara.controller"
const { exec } = require('child_process');
const router = Router();

router.get("/api/camaras", camaraController.getCamaras)
router.get("/api/camarasTable", camaraController.getCamarasTable)
router.get("/api/camaras/group/:group", camaraController.getCamarasByGroup)
router.get("/api/camaras/groups", camaraController.getCamarasByGroups)
router.get("/api/camaras/:id", camaraController.getCamara)
router.get("/api/camaras/:id/groups", camaraController.getCamaraGroups)
router.post("/api/camaras", camaraController.addCamara)
router.delete("/api/delete-camara/:id", camaraController.deleteCamara)
router.put("/api/camaras/:id", camaraController.updateCamara)
router.patch("/api/camaras/updatePosition/:id", camaraController.updatePosition)

router.get("/api/groups/", camaraController.getGroups)
router.get("/api/group/:id", camaraController.getGroup)
router.post("/api/groups", camaraController.addGroup)
router.delete("/api/group/:id", camaraController.deleteGroup)
router.put("/api/group/:id", camaraController.updateGroup)
router.get("/api/gruposTable", camaraController.getGroupsTable)

router.get("/api/config/:id", camaraController.getConfig)


router.get("/api/keep-alive", (req, res) => {
  // Simplemente responde con un código de estado 200 para mantener la conexión activa
  res.sendStatus(200);
});

// Ruta para reiniciar la aplicación
router.get('/restart', (req, res) => {
  // Ejecutar el comando "npm run restart"
  exec('npm run restart', (error, stdout, stderr) => {
    if (error) {
      console.error(`Error al reiniciar la aplicación: ${error.message}`);
      res.status(500).json({ error: 'Error al reiniciar la aplicación' });
      return;
    }
    
    console.log('Aplicación reiniciada correctamente');
    res.json({ message: 'Aplicación reiniciada correctamente' });
  });
});

export default router;