const { createLogger, transports, format } = require('winston');
import DailyRotateFile from 'winston-daily-rotate-file';

// Crear una instancia del logger
const logger = createLogger({
  level: 'debug', // Nivel de registro mínimo (por ejemplo, 'info', 'error', 'debug')
  format: format.combine(format.timestamp(), format.json()), // Formato de registro (opcional)
  transports: [
    new transports.Console(), // Registrar en la consola
    // new transports.File({ filename: './logs/logs.log' }) // Registrar en un archivo (opcional)
    new DailyRotateFile({
      filename: 'logs/application-%DATE%.log',
      datePattern: 'YYYY-MM-DD',
      zippedArchive: true,
      maxSize: '20m',
      maxFiles: '14d',
    }),
  ]
});

module.exports = logger;